When running ../configure (note the leading ".."),
I saw these diagnostics go by:
cp: cannot stat `COPYING.LIB': No such file or directory
...
find: `/t/libvirt-0.4.6/tests/domainschemadata': No such file or directory
each indicated a small problem.
Here are fixes:
From f5164f771c83fa85310d78a3cb137e4cb6f51e12 Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering(a)redhat.com>
Date: Tue, 25 Nov 2008 13:28:04 +0100
Subject: [PATCH 1/2] don't silently skip a test
* tests/Makefile.am (EXTRA_DIST): Distribute domainschemadata/.
* tests/domainschematest: Fail the test if find invocation fails.
---
tests/Makefile.am | 3 ++-
tests/domainschematest | 2 +-
2 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9752cbf..fd319e1 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -41,7 +41,8 @@ EXTRA_DIST = \
xmlrpcserver.py \
qemuxml2argvdata \
nodeinfodata \
- domainschematest
+ domainschematest \
+ domainschemadata
noinst_PROGRAMS = xmlrpctest virshtest conftest \
nodeinfotest statstest qparamtest
diff --git a/tests/domainschematest b/tests/domainschematest
index c841c86..d85d463 100755
--- a/tests/domainschematest
+++ b/tests/domainschematest
@@ -8,7 +8,7 @@ n=0
f=0
for dir in $DOMAINDIRS
do
- XML=`find $abs_srcdir/$dir -name '*.xml'`
+ XML=`find $abs_srcdir/$dir -name '*.xml'` || exit 1
for xml in $XML
do
--
1.6.0.4.1044.g77718
From 7af1784b7cddab292b087031cc409609c27db263 Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering(a)redhat.com>
Date: Tue, 25 Nov 2008 13:20:38 +0100
Subject: [PATCH 2/2] configure.in: avoid the following diagnostic when running
../configure ...
cp: cannot stat `COPYING.LIB': No such file or directory
---
configure.in | 10 ++++++----
1 files changed, 6 insertions(+), 4 deletions(-)
diff --git a/configure.in b/configure.in
index a603c10..4db7204 100644
--- a/configure.in
+++ b/configure.in
@@ -1222,10 +1222,12 @@ then
fi
AM_CONDITIONAL([WITH_NODE_DEVICES], [test "$with_nodedev" = "yes"])
-
-# very annoying
-rm -f COPYING
-cp COPYING.LIB COPYING
+# Only COPYING.LIB is under version control, yet COPYING
+# is included as part of the distribution tarball.
+# Copy one to the other, but only if this is a srcdir-build.
+# You are unlikely to be doing distribution-related things in a non-srcdir build
+test "x$srcdir" = x. && ! test -f COPYING &&
+cp -f COPYING.LIB COPYING
AC_OUTPUT(Makefile src/Makefile include/Makefile docs/Makefile \
docs/examples/Makefile docs/devhelp/Makefile \
--
1.6.0.4.1044.g77718